Bug 502605 - RFE: Keep Source Formatting option is required within OpenOffice.org Writer
RFE: Keep Source Formatting option is required within OpenOffice.org Writer
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice (Show other bugs)
7.0
All All
medium Severity medium
: rc
: 7.1
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 08:38 EDT by Christopher J. Buckley
Modified: 2013-12-12 13:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-12 13:12:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simple document to copy and paste from (13.53 KB, application/vnd.oasis.opendocument.text)
2009-05-27 04:55 EDT, Caolan McNamara
no flags Details
simple document to paste into (8.20 KB, application/vnd.oasis.opendocument.text)
2009-05-27 04:55 EDT, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 102289 None None None Never

  None (edit)
Description Christopher J. Buckley 2009-05-26 08:38:48 EDT
Description of problem:

There is no PASTE with 'Source Formatting' option, as there is in Microsoft Word.  This means that when a user pastes a document with formatting, ie bullet points, to a new document all formatting is lost.  Within Word you can select 'Keep Source Formatting'.  I do not see this option present within Open Office Writer 2.3. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a document with formatted text, lets use bullet points.  
2.  Create a new document.
3.  Paste document 1 into new document.  No formatting is preserved, and there is no after-option - as there is in Word - to 'keep source formatting'.

Currently this is a major blocker in using OOWriter within administration teams. 
  
Actual results:


Expected results:


Additional info:
Comment 2 Caolan McNamara 2009-05-26 09:01:29 EDT
Copying pasting from one writer document to another should "do the right thing", i.e. hard-coded source formating is retained, while text that doesn't override the underlying style gets the destination style's formatting. 

Definitely, just checking here, on RHEL-5 openoffice.org-writer-2.3.0-6.10.el5 making a bulleted list in writer and copying and pasting it into a blank writer window gives a bulleted list.

So, to make sure we're talking about the exact same thing, go ahead and attach a specific example.
Comment 3 Christopher J. Buckley 2009-05-26 09:12:58 EDT
The documents contain customer information, can I forward these internally to you? Not sure if I can make attachments private in BZ?
Comment 4 Caolan McNamara 2009-05-27 04:55:04 EDT
Created attachment 345576 [details]
simple document to copy and paste from
Comment 5 Caolan McNamara 2009-05-27 04:55:38 EDT
Created attachment 345577 [details]
simple document to paste into
Comment 6 Caolan McNamara 2009-05-27 05:16:55 EDT
Indeed, the source document has a paragraph bulleted with a list style (WW8Num1) with particular formatting (i.e. a bullet), while the destination document has a list-style with the same name but with different formatting (no bullet). 

We always in cut-and-paste use the dest style, which generally makes sense, but isn't overridable.

When a source document has the same style as the dest then the dest style is not overridden, but retained as it was, which makes sense. Styles that don't exist in the dest are added. So the question is should we have a mode which adds the colliding styles as different styles, or as the collided styles + hard-coded formatting to make it look the same as the original
Comment 7 Caolan McNamara 2009-05-27 05:23:56 EDT
Tricky, no quick fix. A RFE.
Comment 9 Caolan McNamara 2013-12-12 11:04:26 EST
no cycles to implement, though it still would be nice. sigh
Comment 10 RHEL Product and Program Management 2013-12-12 13:12:02 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.